Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Interface Directives

    public interface Directives

Provides access to Directive objects.

Since:
  6.1
See Also:
  `Directive`

Field Summary
`static Directive` | `CONTINUE` Directs system to continue standard processing the target Document.
`static Directive` | `CREATE_DRAFT` Directs system to create a draft of the target Document.
`static Directive` | `DECLINE` Directs system to decline the target Document.
`static Directive` | `DELETE` Directs system to perform a delete on the target Document.
`static Directive` | `NEXT_WORKFLOW_STAGE` Directs system to move the target Document to the next workflow stage.
`static Directive` | `PREVIOUS_WORKFLOW_STAGE` Directs system to move the target Document to the previous workflow stage.
`static Directive` | `RESCHEDULE` Directs system to reschedule the current action against the target Document.
`static Directive` | `RESTART_WORKFLOW` Directs system to restart the workflow on the target Document.
`static Directive` | `ROLLBACK_DOCUMENT` Directs system to rollback all changes to the target Document.
`static Directive` | `STOP` Directs system to stop executing any further actions for the current workflow stage.

Field Detail

### ROLLBACK_DOCUMENT

    static final Directive ROLLBACK_DOCUMENT

  Directs system to rollback all changes to the target Document. It does not rollback any changes performed by custom code (except for data changes to the supplied target Document). If this custom action is running as part of a workflow stage transition, all prior actions will be rolled back.

  The error message shown within the WCM Authoring UI can be customized by setting the appropriate option in the `RollbackDirectiveParams` object.

  See Also:
    `RollbackDirectiveParams`

### CONTINUE

    static final Directive CONTINUE

  Directs system to continue standard processing the target Document. Changes to the target Document will be saved. The action will be marked as a Success.

### CREATE_DRAFT

    static final Directive CREATE_DRAFT

  Directs system to create a draft of the target Document. Changes to the target Document will be saved and a draft will be created. This directive stops the execution of any further actions for the current workflow stage. The action will be marked as a Success.

### DECLINE

    static final Directive DECLINE

  Directs system to decline the target Document. Changes to the target Document will be saved and the decline action will be performed. This directive stops the execution of any further actions for the current workflow stage. This action will be marked as a Success.

### NEXT_WORKFLOW_STAGE

    static final Directive NEXT_WORKFLOW_STAGE

  Directs system to move the target Document to the next workflow stage.
  Changes to the target Document will be saved and the next workflow stage action will be performed.
  This directive stops the execution of any further actions for the current workflow stage.
  This action will be marked as a Success.

  By default the exit actions on the current stage and the entry actions on the destination stage are run, however this can be modified by setting the appropriate option in the `NextStageStageDirectiveParams` object.

  See Also:
    `NextStageDirectiveParams`

### PREVIOUS_WORKFLOW_STAGE

    static final Directive PREVIOUS_WORKFLOW_STAGE

  Directs system to move the target Document to the previous workflow stage.
  Changes to the target Document will be saved and the previous workflow stage action will be performed.
  This directive stops the execution of any further actions for the current workflow stage.
  This action will be marked as a Success.

  By default the entry actions on the destination stage are run, however this can be modified by setting the appropriate option in the `PreviousStageDirectiveParams` object.

  See Also:
    `PreviousStageDirectiveParams`

### RESTART_WORKFLOW

    static final Directive RESTART_WORKFLOW

  Directs system to restart the workflow on the target Document. Changes to the target Document will be saved and the restart workflow action will be performed. This directive stops the execution of any further actions for the current workflow stage. This action will be marked as a Success.

### STOP

    static final Directive STOP

  Directs system to stop executing any further actions for the current workflow stage. Changes to the target Document will be saved. This directive stops the execution of any further actions for the current workflow stage. This action will be marked as a Success.

### DELETE

    static final Directive DELETE

  Directs system to perform a delete on the target Document.
  This directive stops the execution of any further actions for the current workflow stage.
  This action will be marked as a Success.

  By default the delete directive performs a soft-delete of the target non-draft Document (draft documents are always permanently deleted), however a permanent delete can be requested by setting the appropriate option in the `DeleteDirectiveParams` object.

  See Also:
    `DeleteDirectiveParams`

### RESCHEDULE

    static final Directive RESCHEDULE

  Directs system to reschedule the current action against the target Document.
  Changes to the target Document will be saved and any further actions for the current workflow stage will execute.

  By default the reschedule period is 5 minutes time, however a custom reschedule period can be specified by setting the appropriate option in the `RescheduleDirectiveParams` object.

  See Also:
    `RescheduleDirectiveParams`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD